<div class="auth-form-center">
    <div class="auth-form-header">
        <span>{{'Sign in' | translate}}</span>
    </div>
    <div class="auth-form-body">
        <form novalidate [formGroup]="signInForm" (ngSubmit)="signIn()" class="form-row">
            <div class="col-12">
                <mat-form-field appearance="outline" class="input-fluid">
                    <mat-label>Email</mat-label>
                    <input id="email" formControlName="email" matInput placeholder="Email">
                    <mat-error *ngIf="email.hasError('required')">
                        Email {{'is required'|translate}}
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-12">
                <mat-form-field appearance="outline" class="input-fluid">
                    <mat-label>{{'password' | translate | titlecase}} </mat-label>
                    <input id="password" formControlName="password" matInput placeholder="Password" type="password">
                    <mat-error *ngIf="password.hasError('required')">
                        {{'password' | translate | titlecase}} {{'is required' | translate}}
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-12">
                <mat-error *ngIf="loginFail">
                    {{'LOGIN_FAILED'|translate}}
                </mat-error>
                <div class="d-flex justify-content-between mt-4">
                    <a routerLink="../forgetpassword">{{ 'Forget' | translate}} {{'password' | translate}}</a>
                    <button type="submit" class="btn btn-primary">{{'Sign in' | translate}}</button>
                </div>
            </div>
        </form>
    </div>
    <div class="auth-form-footer">
        <div class="d-flex justify-content-between mt-3 mb-3">
            <a routerLink="../signup">{{ 'Create new account' | translate}}</a>
        </div>
    </div>
</div>
